if  exists( select * from SYS.SYSTABLE where table_name = 'v_CalStoreQty_view'  ) then
   drop VIEW v_CalStoreQty_view; 
end if;

CREATE VIEW v_CalStoreQty_view
 AS select
    t3.cg_id as cg_id,
    sum(t3.mount) as in_qty,
    0 as out_qty,
    t3.batch_no as batch_no,
    t3.pro_date as pro_date,
    t3.vld_date as vld_date,
    t3.floor as floor
     from
    inhead t1,
    inhouse t3 where
    (t1.in_id = t3.in_id) and (t1.yes_flg =0)  group by t3.cg_id,t3.batch_no,t3.pro_date,t3.vld_date,t3.floor
union all
   select 
    t3.cg_id as cg_id,
    sum(t3.mount) as in_qty,
    0 as out_qty,
    t3.batch_no as batch_no,
    t3.pro_date as pro_date,
    t3.vld_date as vld_date,
    t3.floor as floor
  from
    outdebt t1,
    outdehouse t3 where
    (t1.debt_id = t3.debt_id) and (t1.yes_flg =0) group by t3.cg_id,t3.batch_no,t3.pro_date,t3.vld_date,t3.floor union all
   select 
     t3.cg_id as cg_id,
    sum(t3.mount)  as in_qty,
    0 as out_qty,
    t3.batch_no as batch_no,
    t3.pro_date as pro_date,
    t3.vld_date as vld_date,
    t3.floor as floor  from
    other_inhead t1,
    other_inhouse t3 where
    (t1.in_id = t3.in_id) and (t1.yes_flg =0)  group by t3.cg_id,t3.batch_no,t3.pro_date,t3.vld_date,t3.floor union all
   select 
     t3.cg_id as cg_id,
   0 as in_qty,
    sum(t3.mount) as out_qty,
    t3.batch_no as batch_no,
    t3.pro_date as pro_date,
    t3.vld_date as vld_date,
    t3.floor as floor
  from
    rtn_inhead t1,
    rtn_inhouse t3 where
    (t1.in_id = t3.in_id) and (t1.yes_flg =0) group by t3.cg_id,t3.batch_no,t3.pro_date,t3.vld_date,t3.floor union all
   select 
     t3.cg_id as cg_id,
   0 as in_qty,
    sum(t3.mount) as out_qty,
    t3.batch_no as batch_no,
    t3.pro_date as pro_date,
    t3.vld_date as vld_date,
    t3.floor as floor
  from
    outhead t1,
    outhouse t3  where
     (t1.out_id = t3.out_id) and (t1.yes_flg =0)  group by t3.cg_id,t3.batch_no,t3.pro_date,t3.vld_date,t3.floor union all
   select 
     t3.cg_id as cg_id,
    sum(t3.mount)  as in_qty,
    0 as out_qty,
    t3.batch_no as batch_no,
    t3.pro_date as pro_date,
    t3.vld_date as vld_date,
    t3.to_floor as floor  from
    STORE_REMOVE_HEAD t1,
    STORE_REMOVE_DETAIL t3 where
    (t1.in_id = t3.in_id) and (t1.yes_flg =0)  group by t3.cg_id,t3.batch_no,t3.pro_date,t3.vld_date,t3.to_floor union all
   select 
     t3.cg_id as cg_id,
    0  as in_qty,
    sum(t3.mount) as out_qty,
    t3.batch_no as batch_no,
    t3.pro_date as pro_date,
    t3.vld_date as vld_date,
    t3.from_floor as floor  from
    STORE_REMOVE_HEAD t1,
    STORE_REMOVE_DETAIL t3 where
    (t1.in_id = t3.in_id) and (t1.yes_flg =0)  group by t3.cg_id,t3.batch_no,t3.pro_date,t3.vld_date,t3.from_floor union all

   select  
     t3.cg_id as cg_id,
    0 as in_qty,
    sum(t3.mount) as out_qty,
    t3.batch_no as batch_no,
    t3.pro_date as pro_date,
    t3.vld_date as vld_date,
    t3.floor as floor
  from
    other_outhead t1,
    other_outhouse t3 where
    (t1.out_id = t3.out_id) and (t1.yes_flg =0) group by t3.cg_id,t3.batch_no,t3.pro_date,t3.vld_date,t3.floor;
