set option ON_ERROR='CONTINUE';
DROP VIEW view_f3cgstore;
CREATE VIEW view_f3cgstore
  AS select cargo.cg_name as cg_name,
    cargo.cg_style as cg_style,
    cgstore.mount as mount,
    cgstore.floor as floor,
    cgstore.block as block,
    cgstore.pro_date AS pro_date,
    cgstore.batch_no as batch_no,
    cgstore.vld_date as vld_date,
    cargo.unit1_unit2 as unit1_unit2,
    cargo.unit2_unit3 as unit2_unit3,
    cargo.unit_count as unit_count,
    cargo.cg_unit1 as cg_unit1,
    cargo.cg_unit2 as cg_unit2,
    cargo.cg_unit3 as cg_unit3,
    cgstore.cg_id as cg_id,
    cgclass.class_id as class_id,
    stock.mc as mc,
    cargo.in_price as in_price,
    cargo.price as price,
    cargo.pf_price as pf_price,
    cargo.hyj_price as hyj_price,
    cargo.color as color,
    cargo.size as size,
    cargo.ks as ks,
    cargo.description as description,
    cargo.product_add as product_add,
    cargo.made as made,
    cgstore.sys_id as sys_id,'  ' as select_flg,
    cargo.pym as pym,
    cargo.tiaoxm as txm,
    cargo.cur_cost_price as cost_price from
    DBA.cargo,
    DBA.cgclass,
    DBA.cgstore,
    DBA.stock where
    (cgclass.class_id = cargo.class_id) and
    (cgstore.cg_id = cargo.cg_id) and
    (cargo.flag <> '1') and
    (cgstore.floor = stock.floor) union
  select cargo.cg_name as cg_name,
    cargo.cg_style as cg_style,
    0 as mount,
    cargo.floor as floor,
    0 as block,
    null as pro_date,
    '   '  as batch_no,
    null as vld_date,
    cargo.unit1_unit2 as unit1_unit2,
    cargo.unit2_unit3 as unit2_unit3,
    cargo.unit_count as unit_count,
    cargo.cg_unit1 as cg_unit1,
    cargo.cg_unit2 as cg_unit2,
    cargo.cg_unit3 as cg_unit3,
    cargo.cg_id as cg_id,
    cargo.class_id as class_id,'' as mc,
    cargo.in_price as in_price,
    cargo.price as price,
    cargo.pf_price as pf_price,
    cargo.hyj_price as hyj_price,
    cargo.color as color,
    cargo.size as size,
    cargo.ks as ks,
    cargo.description as description,
    cargo.product_add as product_add,
    cargo.made as made,
    0 as sys_id,'  ' as select_flg,
    cargo.pym as pym,
    cargo.tiaoxm as txm,
    cargo.cur_cost_price as cost_price from
    DBA.cargo where
    not exists(select cgstore.cg_id from DBA.cgstore where cgstore.cg_id = cargo.cg_id) and
    (cargo.flag <> '1');

create view v_cust_cutoff_detail as
 SELECT a.cust_id,b.mc,a.yskbm,isnull(a.out_id,0)+isnull(a.debt_id,0) as out_id,a.fsrq,a.ysje,a.qlt,0 as sk,a.bz FROM  ysk a,other_cust_fy b where a.bm=b.bm and a.ysje<>0  union
SELECT e.cust_id,d.mc,c.yskbm,isnull(f.out_id,0)+isnull(f.debt_id,0) as out_id,e.skrq,0,0 ,
 c.je3  as sk,e.bz FROM xsskq_detail c ,xssk_head e,other_cust_fy d,ysk f where    c.je1>=0 and e.xsskdjbm = c.xsskdjbm and f.yskbm = c.yskbm and f.bm = d.bm;
ALTER view V_CUST_YSK as  
 SELECT a.fsrq as SKRQ,a.cust_id AS CUST_ID,a.bm AS BM, '              ' as QCJY,
sum(a.ysje) AS YSK,0 as SK,sum(a.qlt) AS QLT,0 as QTSR,0 as QTZC
 FROM  ysk a
 where  a.bm='001' and a.ysje<>0  or a.yskbm = a.cust_id+'FIND' group by a.fsrq,a.cust_id,a.bm 
 union
  SELECT e.skrq as SKRQ,e.cust_id AS CUST_ID,f.BM as BM, '              ' as QCJY,
0 AS YSK,sum(c.je3) as SK,0 AS QLT,0  as QTSR,0 AS QTZC 
FROM xsskq_detail c ,xssk_head e,ysk f
 where    c.je1>=0 AND f.bm='001' and e.xsskdjbm = c.xsskdjbm and f.yskbm = c.yskbm 
  group by e.skrq,e.cust_id,f.bm
 union
 SELECT a.fsrq as SKRQ,a.cust_id AS CUST_ID,a.bm AS BM, '              ' as QCJY,
0 AS YSK,0 as SK,sum(a.qlt) AS QLT,sum(a.ysje) as QTSR,0 as QTZC
 FROM  ysk a
 where  a.bm<>'001'  group by a.fsrq,a.cust_id,a.bm ;
create view v_vendor_cutoff_detail as  
 SELECT a.vendor_id,
        b.mc,
        a.yfkbm,
isnull(a.in_id,0)+isnull(a.rtn_in_id,0) as in_id,
        a.fsrq,
        a.yfje,
        0 as fk,
        a.bz
 FROM  yfk a,other_vendor_fy b
 where a.bm=b.bm and a.yfje<>0 
 union
  SELECT e.vendor_id,
         d.mc,
         c.yfkbm,
isnull(f.in_id,0)+isnull(f.rtn_in_id,0) as in_id,
         e.fkrq,
         0,
         c.je3  as fk,
         e.bz 
FROM cgfkq_detail c ,cgfk_head e,other_vendor_fy d,yfk f
 where    c.je1>=0 and e.cgfkdjbm = c.cgfkdjbm and f.yfkbm = c.yfkbm and f.bm = d.bm;
ALTER view V_vendor_YfK as  
 SELECT a.fsrq as FKRQ,
 a.vendor_id AS vendor_ID,a.bm AS BM, '              ' as QCJY,
sum(a.yfje) AS YFK,0 as YJJE,0 as QTFY
 FROM  yfk a
 where  a.bm='001' and a.yfje<>0  or a.yfkbm = a.vendor_id+'FIND' group by a.fsrq,a.vendor_id,a.bm 
 union
  SELECT e.fkrq as FKRQ,e.vendor_id AS vendor_ID,f.BM as BM, '              ' as QCJY,
0 AS YFK,sum(c.je3) as YJJE,0  as QTFY 
FROM cgfkq_detail c ,cgfk_head e,yfk f
 where    c.je1>=0 AND f.bm='001' and e.cgfkdjbm = c.cgfkdjbm and f.yfkbm = c.yfkbm 
  group by e.fkrq,e.vendor_id,f.bm
union
 SELECT a.fsrq as FKRQ,
 a.vendor_id AS vendor_ID,a.bm AS BM, '              ' as QCJY,
0 AS YFK,0 as YJJE,sum(a.yfje) as QTFY
 FROM  yfk a
 where  a.bm<>'001'  group by a.fsrq,a.vendor_id,a.bm ;
