set option ON_ERROR='CONTINUE';
alter table jxc_over_cargo_cost add(qty numeric(16,6),je numeric(16,6));
ALTER VIEW v_in_out_detail 
 AS select
    t1.in_date as fsrq,
    t1.in_id as djbm,
    t2.vendor_name as bz,
    t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    1 as cost_flg,
    t3.mount as in_qty,
    t3.price as in_price,
    0 as out_qty,
    0 as out_price,
    t3.floor as floor,
    'CGJH'  AS  STOCK_TYPE,
    t3.sys_id as sys_id,
    'A' AS SORT
     from
    inhead t1,
    inhouse t3,vendor t2,cargo t4 where
    (t1.vendor_id = t2.vendor_id) and(t1.in_id = t3.in_id) and (t1.yes_flg =0) and (t3.cg_id = t4.cg_id) union
   select 
    t1.rtn_date as fsrq,
    t1.debt_id as djbm,
    t2.cust_name as bz,
    t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    2 as cost_flg,
    t3.mount as in_qty,
    t3.price as in_price,
    0 as out_qty,
    0 as out_price,
    t3.floor as floor,
    'XSTH'  AS  STOCK_TYPE,
    t3.sys_id as sys_id,
    'A' AS SORT  from
    outdebt t1,
    outdehouse t3,customer t2,cargo t4 where
    (t1.cust_id = t2.cust_id) and(t1.debt_id = t3.debt_id) and (t1.yes_flg =0)  and (t3.cg_id = t4.cg_id) union
   select 
    t1.in_date as fsrq,
    t1.in_id as djbm,
    '' as bz,
     t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    1 as cost_flg,
    t3.mount  as in_qty,
    t3.price as in_price,
    0 as out_qty,
    0 as out_price,
    t3.floor as floor,
    'QTRK'  AS  STOCK_TYPE,
    t3.sys_id as sys_id,
    'A' AS SORT  from
    other_inhead t1,
    other_inhouse t3,cargo t4 where
    (t1.in_id = t3.in_id) and (t1.yes_flg =0) and (t3.cg_id = t4.cg_id) union
   select 
    t1.in_date as fsrq,
    t1.in_id as djbm,
    t2.vendor_name as bz,
     t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    2 as cost_flg,
   0 as in_qty,
    0 as in_price,
    t3.mount as out_qty,
    t3.price as out_price,
    t3.floor as floor,
    'CGTH'  AS  STOCK_TYPE,
    t3.sys_id as sys_id,
    'B' AS SORT
  from
    rtn_inhead t1,
    rtn_inhouse t3,vendor t2,cargo t4 where
    (t1.vendor_id = t2.vendor_id) and(t1.in_id = t3.in_id) and (t1.yes_flg =0) and (t3.cg_id = t4.cg_id) union
   select 
    t1.out_date as fsrq,
    t1.out_id as djbm,
    t2.cust_name as bz,
     t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    2 as cost_flg,
   0 as in_qty,
    0 as in_price,
    t3.mount as out_qty,
    t3.price as out_price,
    t3.floor as floor,
    'XSCK'  AS  STOCK_TYPE, 
    t3.sys_id as sys_id,
    'B' AS SORT
  from
    outhead t1,
    outhouse t3,customer t2,cargo t4 where
    (t1.cust_id = t2.cust_id) and(t1.out_id = t3.out_id) and (t1.yes_flg =0) and (t3.cg_id = t4.cg_id) union
   select  
    t1.out_date as fsrq,
    t1.out_id as djbm,
    '' as bz,
     t3.cg_id as cg_id,
    t4.cg_name as cg_name,
    t4.cg_style as cg_style,
    t4.cg_unit1 as cg_unit1,
    2 as cost_flg,
    0 as in_qty,
    0 as in_price,
    t3.mount as out_qty,
    t3.price as out_price,
    t3.floor as floor,
    'QTCK'  AS  STOCK_TYPE,
    t3.sys_id as sys_id,
    'B' AS SORT
  from
    other_outhead t1,
    other_outhouse t3,cargo t4 where
    (t1.out_id = t3.out_id) and (t1.yes_flg =0)  and (t3.cg_id = t4.cg_id);

create procedure sp_qc_cost_price(cur_cgID varchar(15),endtime date)
begin
  --ܣڳ֮ǰƶȨƽ

  declare err_notfound exception for sqlstate value '02000';
  declare li_in_qty numeric(20,6);
  declare li_in_price numeric(20,6);
  declare li_out_qty numeric(20,6);
  declare li_out_price numeric(20,6);
  declare li_prior_qty numeric(20,6);
  declare li_prior_cost_price numeric(20,6);
  declare li_prior_cost_je numeric(20,6);
  declare li_currow_cost_price numeric(20,6);
  declare li_currow_cost_je numeric(20,6);
  declare li_cost_flg numeric(1,0);
  declare li_row_flg numeric(1,0);
  declare li_cg_unit1 varchar(4);
  declare ls_cg_name varchar(60);
  declare ls_cg_style varchar(60);
  declare ls_cost_mode char(1);
  declare ls_cost_flg char(1);
  declare li_sum_qty numeric(20,6);

   -- 2.   Declare the cursor ThisCargoList 

 declare ThisCurCostPrice   dynamic scroll cursor for select
           cg_unit1 ,cg_name ,cg_style,in_qty,in_price ,out_qty,cost_flg
       FROM   v_in_out_detail  
        WHERE   cg_id =cur_cgID and fsrq<endtime  order by fsrq,cost_flg;
 SELECT sys_para_set.bank_no,sys_para_set.skfs   INTO ls_cost_mode,ls_cost_flg
    FROM sys_para_set   WHERE sys_para_set.para_id = '006'   ;
   set ls_cost_mode =IFNULL(ls_cost_mode,'N',ls_cost_mode);
   set ls_cost_flg =IFNULL(ls_cost_flg,'N',ls_cost_flg);
select     sum(in_qty-out_qty) into  li_sum_qty   FROM   v_in_out_detail   WHERE   cg_id =cur_cgID and fsrq<endtime;
  set li_sum_qty =IFNULL(li_sum_qty,0,li_sum_qty);
if ls_cost_flg='Y' then
  set li_row_flg=1;
  open ThisCurCostPrice;
  CargoLoop: loop
      FETCH NEXT  ThisCurCostPrice into li_cg_unit1,ls_cg_name,ls_cg_style,li_in_qty,li_in_price,li_out_qty,li_cost_flg;
      if sqlstate = err_notfound then
          leave CargoLoop;
      end if;
      set li_cost_flg =IFNULL(li_cost_flg,0,li_cost_flg);
      set li_in_qty =IFNULL(li_in_qty,0,li_in_qty);
      set li_out_qty =IFNULL(li_out_qty,0,li_out_qty);
      set li_in_price =IFNULL(li_in_price,0,li_in_price);
      set li_prior_cost_je =IFNULL(li_prior_cost_je,0,li_prior_cost_je);
      IF li_row_flg=1 THEN
            IF li_cost_flg =1 THEN
                 if ls_cost_mode ='Y'  then
		 	       	     set li_prior_cost_je = li_in_qty*li_in_price;
		                 set li_prior_cost_je =IFNULL(li_prior_cost_je,0,li_prior_cost_je);
		                 set li_prior_qty = li_in_qty;
		                 set li_in_price =IFNULL(li_in_price,0,li_in_price);
		                 set li_prior_cost_price = li_in_price;
                 else
                         if li_in_price>0 then
			 	       	     set li_prior_cost_je = li_in_qty*li_in_price;
			                 set li_prior_cost_je =IFNULL(li_prior_cost_je,0,li_prior_cost_je);
			                 set li_prior_qty = li_in_qty;
			                 set li_in_price =IFNULL(li_in_price,0,li_in_price);
			                 set li_prior_cost_price = li_in_price;
                         end if;
                 end if;

            ELSE
                 set li_prior_cost_je = 0;
                 set li_prior_qty = li_out_qty *-1;
                 set li_prior_cost_price = 0;
            END IF;           
            set li_row_flg=2;
      ELSE
	   IF li_cost_flg =1    THEN--ǲɹˮ

            if  ls_cost_mode ='Y' then
	            --Ϊ0ƷƶȨƽ

		        set li_currow_cost_je = li_in_qty*li_in_price;
                set li_currow_cost_je =IFNULL(li_currow_cost_je,0,li_currow_cost_je);
                if (li_prior_qty+li_in_qty)<>0 then
				     set li_currow_cost_price = (li_prior_cost_je + li_currow_cost_je) /(li_prior_qty+li_in_qty);
                else
                    set li_currow_cost_price = li_in_price ;
                end if;
                set li_currow_cost_price =IFNULL(li_currow_cost_price,0,li_currow_cost_price);
                set li_prior_cost_je = li_prior_cost_je + li_currow_cost_je;
				set li_prior_cost_price = li_currow_cost_price;
                SET li_prior_qty= li_prior_qty + li_in_qty - li_out_qty;
             else
                   if  li_in_price>0 then
			            --ֻ۲Ϊ0ƷƶȨƽ

				        set li_currow_cost_je = li_in_qty*li_in_price;
		                set li_currow_cost_je =IFNULL(li_currow_cost_je,0,li_currow_cost_je);
		                if (li_prior_qty+li_in_qty)<>0 then
						     set li_currow_cost_price = (li_prior_cost_je + li_currow_cost_je) /(li_prior_qty+li_in_qty);
		                else
		                    set li_currow_cost_price = li_in_price ;
		                end if;
		                set li_currow_cost_price =IFNULL(li_currow_cost_price,0,li_currow_cost_price);
		                set li_prior_cost_je = li_prior_cost_je + li_currow_cost_je;
						set li_prior_cost_price = li_currow_cost_price;
		                SET li_prior_qty= li_prior_qty + li_in_qty - li_out_qty;
                   end if;
             end if;
	    ELSE
		--û,ȡһгɱ.

	        set li_currow_cost_je = li_prior_cost_je+(li_prior_cost_price * li_in_qty) - (li_prior_cost_price * li_out_qty);
	        set li_currow_cost_je =IFNULL(li_currow_cost_je,0,li_currow_cost_je);
                set li_prior_cost_je = li_currow_cost_je;
                SET li_prior_qty= li_prior_qty + li_in_qty - li_out_qty;
	    END IF;

      END IF;

     end loop CargoLoop;
     CLOSE ThisCurCostPrice;
	 set li_prior_cost_price=IFNULL(li_prior_cost_price,0,li_prior_cost_price);
  	 set li_prior_cost_price=IFNULL(li_prior_cost_price,0,li_prior_cost_price);
 	 set ls_cg_name=IFNULL(ls_cg_name,'',ls_cg_name);
 	 IF ls_cg_name = ''  THEN
     	select   cargo.cg_unit1,cargo.cg_name,cargo.cg_style into li_cg_unit1,ls_cg_name,ls_cg_style from cargo where cargo.cg_id = cur_cgID ;
 	 END IF;
    delete from tmp_avg_cost_price where cg_id = cur_cgID ;
    INSERT tmp_avg_cost_price values(cur_cgID,li_sum_qty,li_prior_cost_price,li_cg_unit1,ls_cg_name,ls_cg_style);
   COMMIT WORK;
else
     	select   cargo.cg_unit1,cargo.cg_name,cargo.cg_style,cargo.cost_price into li_cg_unit1,ls_cg_name,ls_cg_style,li_prior_cost_price from cargo where cargo.cg_id = cur_cgID ;
    delete from tmp_avg_cost_price where cg_id = cur_cgID ;
    INSERT tmp_avg_cost_price values(cur_cgID,li_sum_qty,li_prior_cost_price,li_cg_unit1,ls_cg_name,ls_cg_style);
   COMMIT WORK;

end if;
 END;

create function sf_month_avg_price(cur_cgID varchar(15),begtime date,endtime date,li_last_je numeric(20,6),li_last_qty numeric(20,6))
returns  numeric(20,6) 
begin
  -- 1.ƽɱ

  declare li_by_qty numeric(20,6);
  declare li_by_je numeric(20,6);
  declare li_by_cost numeric(20,6);
  declare ls_yn char(1);
  declare ls_cost_mode char(1);

 SELECT sys_para_set.cust_id,sys_para_set.bank_no   INTO ls_yn,ls_cost_mode
    FROM sys_para_set   WHERE sys_para_set.para_id = '006'   ;
   set ls_cost_mode =IFNULL(ls_cost_mode,'N',ls_cost_mode);
   set ls_yn =IFNULL(ls_yn,'N',ls_yn);
if  ls_yn='Y' then
    select  CARGO.cost_price into  li_by_cost from cargo where cargo.cg_id = cur_cgID;
else
 	if ls_cost_mode='Y' then
   		 select   sum(t1.in_qty*t1.in_price),SUM(t1.in_qty) into li_by_je,li_by_qty    	FROM   v_in_out_detail  t1
            WHERE   t1.cg_id =cur_cgID and t1.cost_flg=1 and (t1.fsrq>=begtime and t1.fsrq<=endtime);
 	else
    	select   sum(t1.in_qty*t1.in_price),SUM(t1.in_qty) into li_by_je,li_by_qty
            FROM   v_in_out_detail  t1
             WHERE   t1.cg_id =cur_cgID and t1.cost_flg=1 and t1.in_price>0 and (t1.fsrq>=begtime and t1.fsrq<=endtime);
    end if ;
 	set li_by_je=(CASE WHEN li_by_je IS NULL THEN 0 ELSE li_by_je END);
 	set li_by_qty=(CASE WHEN li_by_qty IS NULL THEN 0 ELSE li_by_qty END);
 	set li_by_cost = (li_last_je+li_by_je)/(li_last_qty+li_by_qty);
 end if;
 set li_by_cost=(CASE WHEN li_by_cost IS NULL THEN 0 ELSE li_by_cost END);

  Return li_by_cost

 end;

ALTER procedure sp_new_cost_price(cur_cgID varchar(15))
begin
  declare err_notfound exception for sqlstate value '02000';
  declare li_in_qty numeric(20,6);
  declare li_in_price numeric(20,6);
  declare li_out_qty numeric(20,6);
  declare li_out_price numeric(20,6);
  declare li_prior_qty numeric(20,6);
  declare li_prior_cost_price numeric(20,6);
  declare li_prior_cost_je numeric(20,6);
  declare li_currow_cost_price numeric(20,6);
  declare li_currow_cost_je numeric(20,6);
  declare li_cost_flg numeric(1,0);
  declare li_row_flg numeric(1,0);
  declare ls_cost_mode char(1);
  declare ls_cost_flg char(1);

  -- 2.   Declare the cursor ThisCargoList 

 declare ThisnewCostPrice   dynamic scroll cursor for select
           in_qty,in_price ,out_qty,cost_flg
       FROM   v_in_out_detail  
        WHERE   cg_id =cur_cgID   order by fsrq,cost_flg;
 SELECT sys_para_set.bank_no,sys_para_set.skfs   INTO ls_cost_mode,ls_cost_flg
    FROM sys_para_set   WHERE sys_para_set.para_id = '006'   ;
   set ls_cost_mode =IFNULL(ls_cost_mode,'N',ls_cost_mode);
if ls_cost_flg='Y' then
  set li_row_flg=1;
  open ThisnewCostPrice;
  CargoLoop: loop
      FETCH NEXT  ThisnewCostPrice into li_in_qty,li_in_price,li_out_qty,li_cost_flg;
      if sqlstate = err_notfound then
          leave CargoLoop;
      end if;
      set li_cost_flg =IFNULL(li_cost_flg,0,li_cost_flg);
      set li_in_qty =IFNULL(li_in_qty,0,li_in_qty);
      set li_out_qty =IFNULL(li_out_qty,0,li_out_qty);
      set li_in_price =IFNULL(li_in_price,0,li_in_price);
      set li_prior_cost_je =IFNULL(li_prior_cost_je,0,li_prior_cost_je);
      IF li_row_flg=1 THEN
            IF li_cost_flg =1 THEN
                 if ls_cost_mode ='Y'  then
		 	       	     set li_prior_cost_je = li_in_qty*li_in_price;
		                 set li_prior_cost_je =IFNULL(li_prior_cost_je,0,li_prior_cost_je);
		                 set li_prior_qty = li_in_qty;
		                 set li_in_price =IFNULL(li_in_price,0,li_in_price);
		                 set li_prior_cost_price = li_in_price;
                 else
                         if li_in_price>0 then
			 	       	     set li_prior_cost_je = li_in_qty*li_in_price;
			                 set li_prior_cost_je =IFNULL(li_prior_cost_je,0,li_prior_cost_je);
			                 set li_prior_qty = li_in_qty;
			                 set li_in_price =IFNULL(li_in_price,0,li_in_price);
			                 set li_prior_cost_price = li_in_price;
                         end if;
                 end if;

            ELSE
                 set li_prior_cost_je = 0;
                 set li_prior_qty = li_out_qty *-1;
                 set li_prior_cost_price = 0;
            END IF;           
            set li_row_flg=2;
      ELSE
	   IF li_cost_flg =1    THEN--ǲɹˮ

            if  ls_cost_mode ='Y' then
	            --Ϊ0ƷƶȨƽ

		        set li_currow_cost_je = li_in_qty*li_in_price;
                set li_currow_cost_je =IFNULL(li_currow_cost_je,0,li_currow_cost_je);
                if (li_prior_qty+li_in_qty)<>0 then
				     set li_currow_cost_price = (li_prior_cost_je + li_currow_cost_je) /(li_prior_qty+li_in_qty);
                else
                    set li_currow_cost_price = li_in_price ;
                end if;
                set li_currow_cost_price =IFNULL(li_currow_cost_price,0,li_currow_cost_price);
                set li_prior_cost_je = li_prior_cost_je + li_currow_cost_je;
				set li_prior_cost_price = li_currow_cost_price;
                SET li_prior_qty= li_prior_qty + li_in_qty - li_out_qty;
             else
                   if  li_in_price>0 then
			            --ֻ۲Ϊ0ƷƶȨƽ

				        set li_currow_cost_je = li_in_qty*li_in_price;
		                set li_currow_cost_je =IFNULL(li_currow_cost_je,0,li_currow_cost_je);
		                if (li_prior_qty+li_in_qty)<>0 then
						     set li_currow_cost_price = (li_prior_cost_je + li_currow_cost_je) /(li_prior_qty+li_in_qty);
		                else
		                    set li_currow_cost_price = li_in_price ;
		                end if;
		                set li_currow_cost_price =IFNULL(li_currow_cost_price,0,li_currow_cost_price);
		                set li_prior_cost_je = li_prior_cost_je + li_currow_cost_je;
						set li_prior_cost_price = li_currow_cost_price;
		                SET li_prior_qty= li_prior_qty + li_in_qty - li_out_qty;
                   end if;
             end if;
	    ELSE
		--û,ȡһгɱ.

	        set li_currow_cost_je = li_prior_cost_je+(li_prior_cost_price * li_in_qty) - (li_prior_cost_price * li_out_qty);
	        set li_currow_cost_je =IFNULL(li_currow_cost_je,0,li_currow_cost_je);
                set li_prior_cost_je = li_currow_cost_je;
                SET li_prior_qty= li_prior_qty + li_in_qty - li_out_qty;
	    END IF;

      END IF;
     end loop CargoLoop;
     CLOSE ThisnewCostPrice;
  set li_prior_cost_price=IFNULL(li_prior_cost_price,0,li_prior_cost_price);
  update cargo set  temp_cost_price = li_prior_cost_price,cur_cost_price = li_prior_cost_price  where  (cargo.cg_id = cur_cgID) ;
end if;
end;

create VIEW v_jxc_rpt  AS select
    t1.in_date as fsrq,
    t3.cg_id as cg_id,
    t3.mount as in_qty,
    t3.mount*t3.price as in_qty_je,
    0 as rtn_in_qty,
    0 as other_in_qty,
    0  as other_in_qty_je,
    0 as sale_qty,
    0 as sale_je,
    0 as th_qty,
    0 as th_je,
   0 as cx_qty,
    0 as oth_out_qty,
    t3.sys_id as sys_id
     from
    inhead t1,
    inhouse t3 where
    (t1.in_id = t3.in_id)  and (t1.yes_flg =0)  union
   select 
     t1.in_date as fsrq,
    t3.cg_id as cg_id,
    0 as in_qty,
    0 as in_qty_je,
    t3.mount as rtn_in_qty,
    0 as other_in_qty,
    0 as other_in_qty_je,
    0 as sale_qty,
    0 as sale_je,
    0 as th_qty,
    0 as th_je,
   0 as cx_qty,
    0 as oth_out_qty,
    t3.sys_id as sys_id
     from
    rtn_inhead t1,
    rtn_inhouse t3 where
    (t1.in_id = t3.in_id) and (t1.yes_flg =0)  union
   select 
    t1.in_date as fsrq,
    t3.cg_id as cg_id,
    0 as in_qty,
    0 as in_qty_je,
    0 as rtn_in_qty,
    t3.mount as other_in_qty,
    t3.mount*t3.price as other_in_qty_je,
    0 as sale_qty,
    0 as sale_je,
    0 as th_qty,
    0 as th_je,
    0 as cx_qty,
    0 as oth_out_qty,
    t3.sys_id as sys_id
     from
    other_inhead t1,
    other_inhouse t3  where
    (t1.in_id = t3.in_id) and (t1.yes_flg =0)  union
   select 
   t1.out_date as fsrq,
    t3.cg_id as cg_id,
    0 as in_qty,
    0 as in_qty_je,
    0 as rtn_in_qty,
    0 as other_in_qty,
    0 as  other_in_qty_je,
    t3.mount as sale_qty,
    t3.mount*t3.price as sale_je,
    0 as th_qty,
    0 as th_je,
    0 as cx_qty,
    0 as oth_out_qty,
    t3.sys_id as sys_id
     from
    outhead t1,
    outhouse t3 where
    (t1.out_id = t3.out_id) and (t1.yes_flg =0) and (t3.STACK <> 99)  union
    select 
   t1.rtn_date as fsrq,
    t3.cg_id as cg_id,
    0 as in_qty,
    0 as in_qty_je,
    0 as rtn_in_qty,
    0 as other_in_qty,
    0 as other_in_qty_je,
    0 as sale_qty,
    0 as sale_je,
    t3.mount as th_qty,
    t3.mount*t3.price as th_je,
    0 as cx_qty,
    0 as oth_out_qty,
    t3.sys_id as sys_id
     from
    outdebt t1,
    outdehouse t3 where
    (t1.debt_id = t3.debt_id) and (t1.yes_flg =0)   union
select 
   t1.out_date as fsrq,
    t3.cg_id as cg_id,
    0 as in_qty,
    0 as in_qty_je,
    0 as rtn_in_qty,
    0 as other_in_qty,
    0 as  other_in_qty_je,
    0 sale_qty,
    0 as sale_je,
    0 as th_qty,
    0 as th_je,
    t3.mount as  cx_qty,
    0 as oth_out_qty,
    t3.sys_id as sys_id
     from
    outhead t1,
    outhouse t3 where
    (t1.out_id = t3.out_id) and (t1.yes_flg =0) and (t3.STACK = 99)  union
select 
   t1.out_date as fsrq,
    t3.cg_id as cg_id,
    0 as in_qty,
    0 as in_qty_je,
    0 as rtn_in_qty,
    0 as other_in_qty,
    0 as other_in_qty_je,
    0 as sale_qty,
    0 as sale_je,
    0 as th_qty,
    0 as th_je,
    0 as cx_qty,
    t3.mount as oth_out_qty,
    t3.sys_id as sys_id
     from
    other_outhead t1,
    other_outhouse t3 where
    (t1.out_id = t3.out_id)   and (t1.yes_flg =0);

create   procedure sp_jxc_rpt
	(StartTime char(10),
	EndTime char(10),
        Lastmonth char(7),
        cg1 varchar(15),
        cg2 varchar(15)
        )
as
begin
   -- սʱƷ¼
     TRUNCATE TABLE JXC_TMP

     INSERT INTO JXC_TMP  
       SELECT b.cg_id,
	'0000-00-00',
	0,0,0,0,0,0,0,0,0,0,0,0,0, 0,0,0,0,0,0,0,null,null,null from cargo b where  b.cg_id>= cg1 and b.cg_id<= cg2
	
      Update jxc_tmp   SET  jxc_tmp.in_qty= isnull(v1.in_qty ,0),
                      jxc_tmp.in_qty_je = isnull(v1.in_qty_je,0),
                      jxc_tmp.rtn_vendor_qty= isnull(v1.rtn_in_qty ,0),
                      jxc_tmp.other_in_qty= isnull(v1.other_in_qty ,0),
                      jxc_tmp.other_in_je = isnull(v1.other_in_qty_je,0),
                      jxc_tmp.sale_qty= isnull(v1.sale_qty ,0),
                      jxc_tmp.sale_qty_je= isnull(v1.sale_je ,0),
                      jxc_tmp.cust_rtn_qty= isnull(v1.th_qty ,0),
                      jxc_tmp.cust_rtn_je= isnull(v1.th_je ,0),
                      jxc_tmp.remove_qty= isnull(v1.cx_qty ,0),
                      jxc_tmp.other_out_qty= isnull(v1.oth_out_qty ,0)
          From   (select sum(t2.in_qty) as in_qty,t2.cg_id,
                  sum(t2.in_qty_je) as in_qty_je,
                  sum(t2.rtn_in_qty) as rtn_in_qty,
                  sum(t2.other_in_qty) as other_in_qty,
                  sum(t2.other_in_qty_je) as other_in_qty_je,
                  sum(t2.sale_qty) as sale_qty,
                  sum(t2.sale_je) as sale_je,
                  sum(t2.th_qty) as th_qty,
                  sum(t2.th_je) as th_je,
                  sum(t2.cx_qty) as cx_qty,
                  sum(t2.oth_out_qty) as oth_out_qty              
                from v_jxc_rpt t2 where convert(char(10),t2.fsrq,120)>=StartTime and  convert(char(10),t2.fsrq,120)<=EndTime 
                     and t2.cg_id>= cg1 and t2.cg_id<= cg2 
                group by t2.cg_id) v1 where jxc_tmp.cg_id = v1.cg_id 
                  
      Update jxc_tmp   SET  jxc_tmp.last_qty= isnull(v1.qty ,0),
                      jxc_tmp.last_je= isnull(v1.je ,0),
                      jxc_tmp.remove_out_qty= isnull(v1.cost_price ,0)
          From   (select t2.cg_id as cg_id,t2.qty as qty,t2.je as je,t2.cost_price as cost_price
                from jxc_over_cargo_cost t2 where t2.month=Lastmonth   and t2.cg_id>= cg1 and t2.cg_id<= cg2 ) v1 where jxc_tmp.cg_id = v1.cg_id  

      Update jxc_tmp   SET  jxc_tmp.cost_price= isnull(v1.cost_price ,0)
          From   (select t2.cg_id as cg_id,t2.cost_price as cost_price
                from jxc_over_cargo_cost t2 where t2.month=substring(EndTime,1,7)  and t2.cg_id>= cg1 and t2.cg_id<= cg2 ) v1 where jxc_tmp.cg_id = v1.cg_id  
  

  end;